Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACEXML_XMLFilterImpl Class Reference

ACEXML_XMLFilterImpl. More...

`#include <XMLFilterImpl.h>`

Inheritance diagram for ACEXML_XMLFilterImpl:

[legend]
Collaboration diagram for ACEXML_XMLFilterImpl:

[legend]
List of all members.

## Public Methods
| ACEXML_XMLFilterImpl (void)
| ACEXML_XMLFilterImpl (ACEXML_XMLReader *parent)
virtual | ~ACEXML_XMLFilterImpl (void)
virtual int | getFeature (const ACEXML_Char *name ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXNotRecognizedException
virtual void * | getProperty (const ACEXML_Char *name ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXNotRecognizedException
virtual void | parse (ACEXML_InputSource *input ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | parse (const ACEXML_Char *systemId ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | setFeature (const ACEXML_Char *name, int boolean_value ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXNotRecognizedException
virtual void | setProperty (const ACEXML_Char *name, void *value ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXNotRecognizedException
virtual ACEXML_XMLReader * | getParent (void) const
virtual void | setParent (ACEXML_XMLReader *parent)
virtual ACEXML_DTDHandler * | getDTDHandler (void) const
virtual ACEXML_ContentHandler * | getContentHandler (void) const
virtual ACEXML_EntityResolver * | getEntityResolver (void) const
virtual ACEXML_ErrorHandler * | getErrorHandler (void) const
virtual void | setDTDHandler (ACEXML_DTDHandler *handler)
virtual void | setContentHandler (ACEXML_ContentHandler *handler)
virtual void | setEntityResolver (ACEXML_EntityResolver *handler)
virtual void | setErrorHandler (ACEXML_ErrorHandler *handler)
virtual void | characters (const ACEXML_Char *ch, int start, int length ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | endDocument (ACEXML_ENV_SINGLE_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | endElement (const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | endPrefixMapping (const ACEXML_Char *prefix ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | ignorableWhitespace (const ACEXML_Char *ch, int start, int length ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | processingInstruction (const ACEXML_Char *target, const ACEXML_Char *data ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | setDocumentLocator (ACEXML_Locator *locator)
virtual void | skippedEntity (const ACEXML_Char *name ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | startDocument (ACEXML_ENV_SINGLE_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | startElement (const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | startPrefixMapping (const ACEXML_Char *prefix, const ACEXML_Char *uri ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | notationDecl (const ACEXML_Char *name, const ACEXML_Char *publicId, const ACEXML_Char *systemId ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | unparsedEntityDecl (const ACEXML_Char *name, const ACEXML_Char *publicId, const ACEXML_Char *systemId, const ACEXML_Char *notationName ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual ACEXML_InputSource * | resolveEntity (const ACEXML_Char *publicId, const ACEXML_Char *systemId ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | error (ACEXML_SAXParseException &exception ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | fatalError (ACEXML_SAXParseException &exception ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | warning (ACEXML_SAXParseException &exception ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
## Public Attributes
virtual int | ACEXML_SAXNotSupportedException
virtual void * | ACEXML_SAXNotSupportedException
virtual void | ACEXML_SAXNotSupportedException
## Protected Methods
int | setupParser (void)
## Private Attributes
ACEXML_XMLReader * | parent_
ACEXML_Locator * | locator_
ACEXML_EntityResolver * | entityResolver_
ACEXML_DTDHandler * | dtdHandler_
ACEXML_ContentHandler * | contentHandler_
ACEXML_ErrorHandler * | errorHandler_

## Detailed Description

ACEXML_XMLFilterImpl.

This class is designed to sit between an XMLReader and the client application's event handlers. By default, it does nothing but pass requests up to the reader and events on to the handlers unmodified, but subclasses can override specific methods to modify the event stream or the configuration requests as they pass through.

## Constructor & Destructor Documentation

ACEXML_XMLFilterImpl::ACEXML_XMLFilterImpl | ( | void |  | ) |

| Default constructor. Create with no parent.

ACEXML_XMLFilterImpl::ACEXML_XMLFilterImpl | ( | ACEXML_XMLReader * | parent | ) |

| Construct an XML filter with the specified parent.

ACEXML_XMLFilterImpl::~ACEXML_XMLFilterImpl | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual void ACEXML_XMLFilterImpl::characters | ( | const ACEXML_Char * | ch,
|  | int | start,
|  | int length | ACEXML_ENV_ARG_DECL
| ) | `[virtual]`

| Receive notification of character data. Implements ACEXML_ContentHandler.

virtual void ACEXML_XMLFilterImpl::endDocument | ( | ACEXML_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Receive notification of the end of a document. Implements ACEXML_ContentHandler.

virtual void ACEXML_XMLFilterImpl::endElement | ( | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char *qName | ACEXML_ENV_ARG_DECL
| ) | `[virtual]`

| Receive notification of the end of an element. Implements ACEXML_ContentHandler.

virtual void ACEXML_XMLFilterImpl::endPrefixMapping | ( | const ACEXML_Char *prefix | ACEXML_ENV_ARG_DECL | ) | `[virtual]`

| End the scope of a prefix-URI mapping. Implements ACEXML_ContentHandler.

virtual void ACEXML_XMLFilterImpl::error | ( | ACEXML_SAXParseException &exception | ACEXML_ENV_ARG_DECL | ) | `[virtual]`

| Receive notification of a recoverable error. Implements ACEXML_ErrorHandler.

virtual void ACEXML_XMLFilterImpl::fatalError | ( | ACEXML_SAXParseException &exception | ACEXML_ENV_ARG_DECL | ) | `[virtual]`

| Receive notification of a non-recoverable error. Implements ACEXML_ErrorHandler.

virtual ACEXML_ContentHandler* ACEXML_XMLFilterImpl::getContentHandler | ( | void |  | ) | const`[virtual]`

| Return the current content handler. Implements ACEXML_XMLReader.

virtual ACEXML_DTDHandler* ACEXML_XMLFilterImpl::getDTDHandler | ( | void |  | ) | const`[virtual]`

| Return the current DTD handler. Implements ACEXML_XMLReader.

virtual ACEXML_EntityResolver* ACEXML_XMLFilterImpl::getEntityResolver | ( | void |  | ) | const`[virtual]`

| Return the current entity resolver. Implements ACEXML_XMLReader.

virtual ACEXML_ErrorHandler* ACEXML_XMLFilterImpl::getErrorHandler | ( | void |  | ) | const`[virtual]`

| Return the current error handler. Implements ACEXML_XMLReader.

int ACEXML_XMLFilterImpl::getFeature | ( | const ACEXML_Char *name | ACEXML_ENV_ARG_DECL | ) | `[virtual]`

| Look up the value of a feature. This method allows programmers to check whether a specific feature has been activated in the parser. Reimplemented from ACEXML_XMLReader.

virtual ACEXML_XMLReader* ACEXML_XMLFilterImpl::getParent | ( | void |  | ) | const`[virtual]`

| Get the parent reader. Implements ACEXML_XMLFilter.

virtual void* ACEXML_XMLFilterImpl::getProperty | ( | const ACEXML_Char *name | ACEXML_ENV_ARG_DECL | ) | `[virtual]`

| Look up the value of a property. Reimplemented from ACEXML_XMLReader.

virtual void ACEXML_XMLFilterImpl::ignorableWhitespace | ( | const ACEXML_Char * | ch,
|  | int | start,
|  | int length | ACEXML_ENV_ARG_DECL
| ) | `[virtual]`

| Receive notification of ignorable whitespace in element content. Implements ACEXML_ContentHandler.

virtual void ACEXML_XMLFilterImpl::notationDecl | ( | const ACEXML_Char * | name,
|  | const ACEXML_Char * | publicId,
|  | const ACEXML_Char *systemId | ACEXML_ENV_ARG_DECL
| ) | `[virtual]`

| Receive notification of a notation declaration event. Implements ACEXML_DTDHandler.

void ACEXML_XMLFilterImpl::parse | ( | const ACEXML_Char *systemId | ACEXML_ENV_ARG_DECL | ) | `[virtual]`

| Parse an XML document from a system identifier (URI). Implements ACEXML_XMLReader.

void ACEXML_XMLFilterImpl::parse | ( | ACEXML_InputSource *input | ACEXML_ENV_ARG_DECL | ) | `[virtual]`

| Parse an XML document. Implements ACEXML_XMLReader.

virtual void ACEXML_XMLFilterImpl::processingInstruction | ( | const ACEXML_Char * | target,
|  | const ACEXML_Char *data | ACEXML_ENV_ARG_DECL
| ) | `[virtual]`

| Receive notification of a processing instruction. Implements ACEXML_ContentHandler.

virtual ACEXML_InputSource* ACEXML_XMLFilterImpl::resolveEntity | ( | const ACEXML_Char * | publicId,
|  | const ACEXML_Char *systemId | ACEXML_ENV_ARG_DECL
| ) | `[virtual]`

| Allow the application to resolve external entities. Implements ACEXML_EntityResolver.

virtual void ACEXML_XMLFilterImpl::setContentHandler | ( | ACEXML_ContentHandler * | handler | ) | `[virtual]`

| Allow an application to register a content event handler. Implements ACEXML_XMLReader.

virtual void ACEXML_XMLFilterImpl::setDocumentLocator | ( | ACEXML_Locator * | locator | ) | `[virtual]`

| Receive an object for locating the origin of SAX document events. Implements ACEXML_ContentHandler.

virtual void ACEXML_XMLFilterImpl::setDTDHandler | ( | ACEXML_DTDHandler * | handler | ) | `[virtual]`

| Allow an application to register a DTD event handler. Implements ACEXML_XMLReader.

virtual void ACEXML_XMLFilterImpl::setEntityResolver | ( | ACEXML_EntityResolver * | handler | ) | `[virtual]`

| Allow an application to register an entity resolver. Implements ACEXML_XMLReader.

virtual void ACEXML_XMLFilterImpl::setErrorHandler | ( | ACEXML_ErrorHandler * | handler | ) | `[virtual]`

| Allow an application to register an error event handler. Implements ACEXML_XMLReader.

virtual void ACEXML_XMLFilterImpl::setFeature | ( | const ACEXML_Char * | name,
|  | int boolean_value | ACEXML_ENV_ARG_DECL
| ) | `[virtual]`

| Activating or deactivating a feature. Reimplemented from ACEXML_XMLReader.

virtual void ACEXML_XMLFilterImpl::setParent | ( | ACEXML_XMLReader * | parent | ) | `[virtual]`

| Set the parent reader. Implements ACEXML_XMLFilter.

virtual void ACEXML_XMLFilterImpl::setProperty | ( | const ACEXML_Char * | name,
|  | void *value | ACEXML_ENV_ARG_DECL
| ) | `[virtual]`

| Set the value of a property. Reimplemented from ACEXML_XMLReader.

ACEXML_INLINE int ACEXML_XMLFilterImpl::setupParser | ( | void |  | ) | `[protected]`

virtual void ACEXML_XMLFilterImpl::skippedEntity | ( | const ACEXML_Char *name | ACEXML_ENV_ARG_DECL | ) | `[virtual]`

| Receive notification of a skipped entity. Implements ACEXML_ContentHandler.

virtual void ACEXML_XMLFilterImpl::startDocument | ( | ACEXML_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Receive notification of the beginning of a document. Implements ACEXML_ContentHandler.

virtual void ACEXML_XMLFilterImpl::startElement | ( | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char * | qName,
|  | ACEXML_Attributes *atts | ACEXML_ENV_ARG_DECL
| ) | `[virtual]`

| Receive notification of the beginning of an element. Implements ACEXML_ContentHandler.

virtual void ACEXML_XMLFilterImpl::startPrefixMapping | ( | const ACEXML_Char * | prefix,
|  | const ACEXML_Char *uri | ACEXML_ENV_ARG_DECL
| ) | `[virtual]`

| Begin the scope of a prefix-URI Namespace mapping. Implements ACEXML_ContentHandler.

virtual void ACEXML_XMLFilterImpl::unparsedEntityDecl | ( | const ACEXML_Char * | name,
|  | const ACEXML_Char * | publicId,
|  | const ACEXML_Char * | systemId,
|  | const ACEXML_Char *notationName | ACEXML_ENV_ARG_DECL
| ) | `[virtual]`

| Receive notification of an unparsed entity declaration event. Implements ACEXML_DTDHandler.

virtual void ACEXML_XMLFilterImpl::warning | ( | ACEXML_SAXParseException &exception | ACEXML_ENV_ARG_DECL | ) | `[virtual]`

| Receive notification of a warning. Implements ACEXML_ErrorHandler.

## Member Data Documentation

virtual void ACEXML_XMLFilterImpl::ACEXML_SAXNotSupportedException

| Reimplemented from ACEXML_XMLReader.

virtual void* ACEXML_XMLFilterImpl::ACEXML_SAXNotSupportedException

| Reimplemented from ACEXML_XMLReader.

void ACEXML_XMLFilterImpl::ACEXML_SAXNotSupportedException

| Reimplemented from ACEXML_XMLReader.

ACEXML_ContentHandler* ACEXML_XMLFilterImpl::contentHandler_`[private]`

ACEXML_DTDHandler* ACEXML_XMLFilterImpl::dtdHandler_`[private]`

ACEXML_EntityResolver* ACEXML_XMLFilterImpl::entityResolver_`[private]`

ACEXML_ErrorHandler* ACEXML_XMLFilterImpl::errorHandler_`[private]`

ACEXML_Locator* ACEXML_XMLFilterImpl::locator_`[private]`

ACEXML_XMLReader* ACEXML_XMLFilterImpl::parent_`[private]`

The documentation for this class was generated from the following files:

- XMLFilterImpl.h
- XMLFilterImpl.cpp
- XMLFilterImpl.i